rfishbase
=========

 _Accessing data from FishBase using R_
 
`rfishbase` is a package for interfacing with the [fishbase.org](http://fishbase.org) database. It provides code to download and parse a local copy of fishbase, which can be used for rapid access for a variety of analysis functions. 


- [Development version source code on github](https://github.com/ropensci/rfishbase)
- [HTML package documentation](http://ropensci.github.com/rfishbase/)
- [Report issues, bugs or feature requests](https://github.com/ropensci/rfishbase/issues)

Installation
------------

`rfishbase` is available [on CRAN](http://cran.r-project.org/web/packages/rfishbase/) and can be installed through the R package manager (see `install.packages`).  The latest (development) version is hosted here on github, and can be installed using the [devtools](https://github.com/hadley/devtools) package:

```r
library(devtools)
install_github("rfishbase", "ropensci")
```

Getting started
---------------

- Read our [tutorial](https://github.com/ropensci/rfishbase/blob/master/inst/doc/rfishbase/rfishbase_github.md)
- Browse the examples in the [documentation](http://ropensci.github.com/rfishbase/)


`rfishbase` is developed by [Carl Boettiger](https://github.com/cboettig) in collaboration with [Duncan Temple Lang](https://github.com/duncantl) and Peter Wainwright, and is part of the [rOpenSci project](http://github.com/ropensci).  This software, examples, and documentation are freely provided under the [CC0 license](http://creativecommons.org/publicdomain/zero/1.0/).

A [preprint](https://github.com/ropensci/rfishbase/blob/master/inst/doc/rfishbase/rfishbase_github.md) of our manuscript introducing the package can be found in the [inst/doc](https://github.com/ropensci/rfishbase/tree/master/inst/doc) directory.

References
----------

Froese, R. and D. Pauly. Editors. 2011. FishBase.
World Wide Web electronic publication.
www.fishbase.org, version (08/2011).

